name:                jotto
version:             0.1.0.0
github:              "k0s/wordplay"
license:             BSD3
author:              "Jeff Hammel"
maintainer:          "k0scist@gmail.com"
copyright:           "2017 Jeff Hammel"

extra-source-files:
- README.md
- ChangeLog.md

# Metadata used when publishing your package
synopsis:            Short description of your package
# category:            Web

# To avoid duplicated efforts in documentation and dealing with the
# complications of embedding Haddock markup inside cabal files, it is
# common to point users to the README.md file.
description:         Please see the README on Github at <https://github.com/githubuser/jotto#readme>

dependencies:
- base >= 4.7 && < 5

library:
  source-dirs: src

executables:
  jotto-exe:
    main:                Main.hs
    source-dirs:         app
    ghc-options:
    - -threaded
    - -rtsopts
    - -with-rtsopts=-N
    dependencies:
    - jotto

tests:
  jotto-test:
    main:                Spec.hs
    source-dirs:         test
    ghc-options:
    - -threaded
    - -rtsopts
    - -with-rtsopts=-N
    dependencies:
    - jotto
